=== debian/changelog ===
sysvinit (2.78-2) frozen unstable; urgency=high

  * Change "booting" to "reloading" message at reload
  * Don't create /etc/init.d/network if missing (closes: #56373)
  * Treat SMB filesystems like NFS ones in mountall.sh and
    mountnfs.sh (fixes: #55414)
  * bootmisc.sh: do not remove files in /var/run that are newer
    than /etc/mtab. This should preserve pid files created before
    this script ran (closes: #49816)
  * Add "-z xxx" dummy command line argument (closes: #54717)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri, 11 Feb 2000 12:17:54 +0100

sysvinit (2.78-1) unstable; urgency=low

  * 2.78 will be the new upstream version, I'm skipping 2.77
  * Update /etc/init.d/rc (closes: #48764)
  * Add -C argument to fck (closes: #47914, #53335)
  * don't remove files in /var/run and /var/lock that are newer
    than /etc/mtab (may fix the dhcpcd problems)
  * Save kernel messages in /var/log/dmesg like RedHat does (closes: #47574)
  * Shutdown now calls sync before switching the runlevel to 0 or 6,
    or before unmounting filesystems if -n was used (closes: #46461)
  * Call umount with -f option to force NFS umounts (closes: #45715)
  * Fix TMPTIME documentation in rcS(5) (closes: #42570, #53224)
  * Some cosmetic changes to init.c (closes: #32079)
  * Move to /usr/share to comply with latest policy

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 30 Dec 1999 20:40:23 +0100

sysvinit (2.77-3) unstable; urgency=low

  * Remove hwclock.sh initialization and script itself (closes: #45164)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue,  5 Oct 1999 21:52:02 +0200

sysvinit (2.77-2) unstable; urgency=low

  * Recompile against glibc 2.1 instead of 2.0
  * Fix compilation problems with glibc 2.1
  * Fix last -i option

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue,  5 Oct 1999 21:51:50 +0200

sysvinit (2.77-1) unstable; urgency=low

  * Write reboot record into utmp file as well to make rms happy
  * Change GMT to UTC in /etc/default/rcS
  * Change /var/run/utmp to mode 664 group utmp if utmp group exists
  * Fork and dump core in / if SIGSEGV is received for debugging purposes
  * Patch by Craig Sanders <cas@vicnet.net.au> for "last" -i option
  * Fixes:
    #35429: sysvinit: bad comments in /etc/defaults/rcS
    #37807: mountnfs.sh should start rpc.statd if available
    #38384: sysvinit: Slight gramitical error in /etc/init.d/README
    #41660: [Patch] bootmisc.sh: Change /var/run/utmp ownership to [...]
    #41458: mountnfs.sh: should ignore noauto
    #40923: sysvinit: /etc/ioctl.save a state file?
    #42183: util-linux: hwclock.sh depends on UTC which is not defined

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed,  4 Aug 1999 11:16:23 +0200

sysvinit (2.76-4) unstable; urgency=low

  * Change dowall.c to handle Unix98 ptys correctly
  * Add comment in rcS about usage of setup.sh and unconfigured.sh
  * Shutdown now removes nologin file just before calling telinit
  * SEGV handler now tries to continue after sleep of 30 seconds.
    On a 386-class processor it also prints out the value of EIP.
  * Fix for racecondition in check_init_fifo() by Richard Gooch
  * Fixes:
    #32698: sysvinit: checkroot.sh: should add devfs entry to mtab
    #35689: wall/shutdown cannot handle Unix98 PTYs
    #30392: sysvinit scripts are not executable
    #32699: bootmisc.sh: should check for existence of /dev/tty[p-za-e][0-9a-f]
    #34062: mountnfs.sh: ignore comments in fstab [patch]
    #34780: sysvinit: ignores most options for rootfs
    #35017: sysvinit: nologin after sungle user mode [sic]
    #36209: init: segmentation violation (possibly kernel)
    #36294: sysvinit: sulogin does not appear to recognize shadow passwords
    #36705: README in init.d has section number off by 0.1
    #36849: sysvinit: shutdown doesn't send shutdown message to unix98 ptys
    #36856: sysvinit: /etc/init.d/rc calls bash for no reason
    #37265: sysvinit: devpts incompatibility?
    #32698: sysvinit: checkroot.sh: should add devfs entry to mtab
    #33954: sysvinit: [wishlist] bootmisc.sh: touch /var/run/utmpx

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sat,  8 May 1999 17:22:57 +0200

sysvinit (2.76-3) frozen unstable; urgency=high

  * Small bugfix to last.c courtesy of Danek Duvall <duvall@emufarm.ml.org>
  * Recompile with latest libs, so dependency on libc6 (>= 2.0.7u) is gone.
  * Fixes bugs:
    #31601: sysvinit: Doesn't wipe new files from /tmp
    #28132: checkroot.sh parsing of /etc/fstab is incorrect.
    #29729: sysvinit: references wrong policy homepage
    #27949: last: should use down instead of crash

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 12 Jan 1999 12:12:44 +0100

sysvinit (2.76-2) frozen unstable; urgency=high

  * Minor fix in debian/rules for dependency problem on the Alpha.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu,  5 Nov 1998 10:54:28 +0100

sysvinit (2.76-1) frozen unstable; urgency=high

  * Fix bug in check_pipe() which crashes init on the Alpha.
  * Re-upload since this should go into frozen too, ofcourse.
  * Changed the version number to 2.76, even though it's a minor
    upgrade. I want to release this version outside Debian too.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue,  3 Nov 1998 11:09:13 +0100

sysvinit (2.75-4) unstable; urgency=low

  * Change sulogin password buffer to 128 characters.
  * Don't print control characters in dowall.c
  * Try to open getenv ("CONSOLE"), /dev/console and /dev/tty0 in order.
    For backwards compatibility when you try to boot a 2.0.x kernel
    with a linux > 2.1.70 /dev/console device.
  * Change src/Makefile for non-debian systems (mainly, RedHat)
  * Try to create /dev/initctl if not present; check every time to see
    if the dev/ino of /dev/initctl has changed and re-open it. This should
    help devfs a bit.
  * Send SIGUSR1 to init at bootup to let it re-open /dev/initctl;
    again in support of devfs.

