=== debian/rules ===
#! /usr/bin/make -f
#
#	debian/rules file for sysvinit
#

# Name.
package = sysvinit
tmp     = $(shell pwd)/debian/tmp
doc	= /usr/share/doc/$(package)

define checkdir
	test -f src/init.c
endef

build:
# Builds the binary package.
	$(checkdir)
	(cd src; make DEBIAN=cool)
	touch build

# Architecture independant files.
binary-indep:   build
	$(checkdir)

# Make a binary package (.deb file)
binary-arch:	build checkroot
	-rm -rf $(tmp)
	install -d -g root -m 755 -o root $(tmp)
	install -d -g root -m 755 -o root $(tmp)/{DEBIAN,etc,usr}
	install -d -g root -m 755 -o root $(tmp)/usr/doc
	install -d -g root -m 755 -o root $(tmp)/usr/share
	install -d -g root -m 755 -o root $(tmp)/usr/include
	install -d -g root -m 755 -o root $(tmp)$(doc)
	install -g root -m 644 debian/changelog $(tmp)$(doc)
	install -g root -m 644 debian/README.runlevels $(tmp)$(doc)
	gzip -9f $(tmp)$(doc)/{changelog,README.runlevels}
	install -d -g root -m 755 -o root $(tmp)$(doc)/examples
	cp -af debian/examples/* $(tmp)$(doc)/examples
	cp -af debian/etc/* $(tmp)/etc
	mv $(tmp)/etc/inittab $(tmp)$(doc)/examples
	chmod -R g-w $(tmp)
	chown -R root.root $(tmp)
	install -d -g root -m 755 -o root $(tmp)/bin
	install -d -g root -m 755 -o root $(tmp)/sbin
	install -d -g root -m 755 -o root $(tmp)/usr/bin
	install -d -g root -m 755 -o root $(tmp)/usr/share/man
	install -d -g root -m 755 -o root $(tmp)/usr/share/man/man{1,5,8}
	install -g root -m 755 debian/fsck.nfs $(tmp)/sbin/fsck.nfs
	(cd src; make ROOT=$(tmp) DEBIAN=cool install )
	install -g root -m 644 debian/rc.boot.5 $(tmp)/usr/share/man/man5
	install -g root -m 644 debian/rcS.5 $(tmp)/usr/share/man/man5
	gzip -9f $(tmp)/usr/share/man/man*/*
	install -g root -m 644 -o root debian/README \
	  $(tmp)$(doc)/copyright
	cp debian/preinst  $(tmp)/DEBIAN/preinst
	cp debian/prerm    $(tmp)/DEBIAN/preinst
	cp debian/postinst $(tmp)/DEBIAN/postinst
	install -g root -m 644 -o root debian/conffiles \
	  $(tmp)/DEBIAN/conffiles
	dpkg-shlibdeps src/init
	dpkg-gencontrol
	dpkg --build $(tmp) ..
	rm -rf $(tmp)

clean:	checkroot
	(cd src; make clobber )
	rm -f build debian/files debian/substvars
	rm -rf $(tmp)
	find . -name '*.bak' -o -name '*~' | xargs -r rm -f --

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
